/* --- Layout Colors --- */
:root {
    --primary-blue: #01408C;
    --accent-red: #843B5C;
    --white: #fff;
}

/* --- Reset CSS --- */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

@property --gradient-color {
    syntax: '<color>';
    initial-value: var(--accent-red);
    inherits: false;
}
body {    
    /* グラデーション背景 */
    /* background: linear-gradient(270deg, #ff9a9e, #fad0c4, #a1c4fd, #c2e9fb); */
    background: linear-gradient(135deg, var(--primary-blue) , var(--accent-red), var(--primary-blue) , var(--accent-red));
    background-size: 800% 800%;

    /* アニメーションの設定（30秒でループ） */
    animation: sliding-gradient 15s ease infinite;
}
@keyframes sliding-gradient {
    0% { background-position: 0% 50%; }
    50% { background-position: 100% 50%; }
    100% { background-position: 0% 50%; }
}

img {
    max-width: 100%;
    height: auto;
    display: block;
}

#company_page{
    padding-top: 14vw;
    @media (max-width: 896px) {
        padding-top: 24vw;
    }
    .highlight_txt{
        background: linear-gradient(90deg, #003F8C, #D71918);
        -webkit-background-clip: text;
        background-clip: text;
        -webkit-text-fill-color: transparent;
        color: transparent;
    }

    .company_head{
        position: relative;
        z-index: 10;
        .jp{
            display: block;
            width: fit-content;
            margin: -48px auto 0;
            font-size: 48px;
            @media (max-width: 896px) {
                margin: -12px auto 0;
                font-size: 24px;
            }
        }
    }


    .message{
        margin-top: 114px;
        @media (max-width: 896px) {
            margin-top: 64px;
        }
        .message_content{
            margin-top: -32px;
            .photo{
                width: calc(1250/1440*100%);
                margin: auto;
                @media (max-width: 896px) {
                    width: 88%;
                }
            }
        }
        .copyarea{
            margin-top: -50px;
            margin-left: calc(179/1440*100%);
            @media (max-width: 896px) {
                margin-top: -20px;
                margin-left: 6%;
            }
            .text-wrapper{
                padding: 4px 12px 4px 6px;
                font-size: 46px;
                @media (max-width: 896px) {
                    padding: 2px 8px 2px 4px;
                    font-size: 25px;
                }
            }
        }
        .textarea{
            width: fit-content;
            margin-top: 24px;
            margin-left: auto;
            margin-right: calc(104/1440*100%);
            @media (max-width: 896px) {
                margin: 16px 6% 0;
            }
            .txt{
                font-size: 24px;
                line-height: 2;
                @media (max-width: 896px) {
                    font-size: 15px;
                }
            }
            .ceo{
                display: flex;
                align-items: flex-end;
                margin-top: 48px;
                @media (max-width: 896px) {
                    margin-top: 24px;
                }
                .post{
                    font-size: 16px;
                    font-weight: 700;
                    line-height: 1;
                    @media (max-width: 896px) {
                        font-size: 14px;
                    }
                }
                .name{
                    margin-left: 16px;
                    font-size: 30px;
                    font-weight: 700;
                    line-height: 1;
                    @media (max-width: 896px) {
                        font-size: 18px;
                    }
                }
            }
        }
    }

    .corporate{
        margin-top: 144px;
        .corporate_outline{
            width: calc(948/1440*100%);
            margin-top: 80px;
            margin-left: auto;
            margin-right: calc(100/1440*100%);
            @media (max-width: 896px) {
                width: 88%;
                margin-right: auto;
            }
            table{
                border-spacing: 0;
            }
            th,td{
                padding-top: 20px;
                padding-bottom: 20px;
                font-size: 20px;
                line-height: 1.6;
                text-align: left;
                vertical-align: top;
                @media (max-width: 896px) {
                    font-size: 15px;
                }
            }
            th{
                width: 200px;
                font-weight: 700;
                @media (max-width: 896px) {
                    width: 100px;
                }
            }
            td{
                padding-left: 112px;
                border-left: 1px solid #fff;
                @media (max-width: 896px) {
                    padding-left: 24px;
                }
                .x_link{
                    display: block;
                    width: max-content;
                    background-image: url(../../img/common/icon_x.svg);
                    background-size: 14px;
                    background-position: 18px center;
                    background-repeat: no-repeat;
                    border: 1px solid #fff;
                    border-radius: 28px;
                    font-size: 14px;
                    text-decoration: none;
                    @media (min-width: 897px) {
                        padding: 10px 16px 10px 42px;
                        margin-top: 12px;
                        transition: .4s ease;
                        &:hover{
                            background-color: #01408C;
                        }
                    }
                    @media (max-width: 896px) {
                        padding: 10px 24px 10px 45px;
                        margin-top: 8px;
                    }
                }
                .google_map{
                    display: block;
                    width: max-content;
                    background-image: url(../../img/common/icon_blank.svg);
                    background-size: 14px;
                    background-position: calc(100% - 16px) center;
                    background-repeat: no-repeat;
                    border: 1px solid #fff;
                    border-radius: 28px;
                    font-size: 14px;
                    text-decoration: none;
                    @media (min-width: 897px) {
                        padding: 10px 42px 10px 16px;
                        margin-top: 12px;
                        transition: .4s ease;
                        &:hover{
                            background-color: #01408C;
                        }
                    }
                    @media (max-width: 896px) {
                        padding: 6px 45px 6px 24px;
                        margin-top: 8px;
                    }
                }
                .map{
                    overflow: hidden;
                    height: 428px;
                    border-radius: 48px;
                    @media (max-width: 896px) {
                        height: 148px;
                        border-radius: 16px;
                    }
                }
                .access{
                    margin-top: 32px;
                    li{
                        display: flex;
                        align-items: center;
                        font-size: 16px;
                        + li{
                            margin-top: 32px;
                        }
                        .item{
                            display: block;
                            width: 50px;
                            padding: 6px 0;
                            margin-right: 40px;
                            border: 1px solid #fff;
                            text-align: center;
                            @media (max-width: 896px) {
                                display: none;
                            }
                        }
                        .txt{
                            flex: 1;
                        }
                    }
                }
            }
        }
    }

    .philosophy{
        margin-top: 144px;
        .vision{
            width: calc(1080/1440*100%);
            margin: 120px auto 0;
            @media (max-width: 896px) {
                width: 88%;
                margin: 48px auto 0;
            }
        }
        .scaleUp{
            position: relative;
            width: 284px;
            padding: 18px 32px;
            margin-top: 64px;
            margin-left: auto;
            border: 1px solid #fff;
            border-radius: 32px;
            font-size: 18px;
            font-weight: 700;
            text-align: left;
            color: #fff;
            @media (min-width: 897px) {
                display: block;
            }
            &:before{
                content: '';
                position: absolute;
                top: 50%;
                right: 8px;
                translate: 0 -50%;
                width: 50px;
                height: 50px;
                background-image: url(../../img/common/icon_grad.svg);
                background-repeat: no-repeat;
                background-position: 0 0;
                background-size: 100%;
            }
        }
    }

    .vision_map_up{
        position: fixed;
        top: 50%;
        left: 50%;
        z-index: -1;
        translate: -50% -50%;
        width: 76%;
        opacity: 0;
        scale: .4;
        transition: .5s ease-out;
        &.is-active{
            z-index: 100001;
            scale: 1;
            opacity: 1;
        }

        .closeBtn{
            position: fixed;
            top: 0;
            right: 0;
            z-index: 100002;
            translate: 20px -20px;
            width: 50px;
            height: 50px;
            background-color: #fff;
            &.is-active{
                translate: 0 0;
            }
            &:before,
            &:after{
                content: '';
                position: absolute;
                top: 50%;
                left: 50%;
                translate: -50% -50%;
                width: 100%;
                height: 2px;
                background-color: #000;
            }
            &:before{
                rotate: 45deg;
            }
            &:after{
                rotate: -45deg;
            }
        }
    }

    .overlay{
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: rgba(0, 0, 0, .7);
        opacity: 0;
        z-index: -1;
        scale: .4;
        &.is-active{
            z-index: 100000;
            scale: 1;
            opacity: 1;
        }
    }
}